C     OUTPUT DEVICE OPEN ROUTINE. SELECTS PROPER SETUP
C     ROUTINE FOR INDIVIDUAL PLOT DEVICES.
C
      SUBROUTINE PXZHO
C
C
$INCLUDE:'pxz99.cmn'
C
C
      GO TO (50,50,50,50,50,35,50,45,45,45,45,45,50),IPLTR
C
C     GO TO (10,20,25,30,20,35,40),IPLTR
C	CHANGED CALL TO PXZ18O TO BE COMPATIBLE WITH
C	PL1 MULTICS VERSION OF THE SUBPROGRAM.
C	C. COOPER
C
C     FOR CALCOMP
C  10 CALL PXZ18O(%DESCR(IOBUF))
C  C  IOBUF(1)=IOB1
C  C  IOBUF(2)=IOB2
C  C  NCCNT=NC01
C  C  NWOUT=NW01
C  C  NCOUT=NC02
C  C  GO TO 70
C
CC    FOR TEKTRONIX 4010,4012, AND 4014
C  20 CALL PXZ17O(IOBUF)
C  C  GO TO 70
C
CC    FOR TEXPLOT
C  25 CALL PXZ22O(IOBUF)
C  C  GO TO 70
C
CC    FOR HP 7203
C  30 CALL PXZ19O(IOBUF)
C  C  GO TO 70
C
CC    FOR HP 7580A
CC    SINCE DEVICE WILL BE OPENED BY SUBROUTINE
CC    HPSET FROM PXZ00, JUST RETURN
   35 GO TO 70
C
CC    FOR GENERAL VECTOR OUTPUT
C  40 CALL PXZ23O(IOBUF)
C  C  GO TO 70
C
C     FOR PC'S
   45 CALL PXZ42O
      GO TO 70
C
C     FOR TANDY DMP-105 PRINTER
C  47 CALL PXZ44O
C  C  GO TO 70
   50 WRITE(LUERR,60)
   60 FORMAT(' %PLOTTER SELECTED NOT IMPLEMENTED.')
      STOP 7777
   70 RETURN
      END
